import Cookies from 'js-cookie'

export class Utils {
    static isWechat(): boolean {
        return /MicroMessenger/i.test(window.navigator.userAgent)
    }
    static isAlipay(): boolean {
        return /AlipayClient/i.test(window.navigator.userAgent) || /AliApp/i.test(window.navigator.userAgent)
    }
    static getCookie(key: string): string | null {
        return Cookies.get(key) || null
    }
    static setCookie(key: 'uid' | 'accessToken', value: string): void {
        Cookies.set(key, value)
    }

    // 获取链接上的参数
    static getQueryString(name: 'uid' | 'accessToken'): string | null {
        const reg = new RegExp('(^|&)' + name + '=([^&]*)(&|$)', 'i')
        const r = window.location.search.substr(1).match(reg)
        if (r != null) {
            return decodeURI(r[2])
        }
        return null
    }
}